Page MenuHomePhabricator

Remove debug logic when a Cookie is set for IP Blocks
Closed, ResolvedPublic1 Story Points

Description

Tracking with statsd was added on https://gerrit.wikimedia.org/r/#/c/433624/6/includes/user/User.php@1384
This is a reminder to take it out once we have what we need.

Event Timeline

dbarratt created this task.May 3 2018, 5:26 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptMay 3 2018, 5:26 PM
dmaza updated the task description. (Show Details)May 3 2018, 10:59 PM
dbarratt updated the task description. (Show Details)May 4 2018, 6:08 PM
TBolliger set the point value for this task to 1.
dmaza renamed this task from Remove AutoblockComplete Hook to Revert work done on T191542.May 4 2018, 6:24 PM
dmaza updated the task description. (Show Details)
dmaza removed the point value for this task.
dmaza set the point value for this task to 1.May 4 2018, 11:48 PM
dbarratt added a subscriber: dmaza.May 28 2018, 5:47 PM

@dmaza Since T191542 is closed as invalid should this task be closed as well?

The purpose of this ticket is to remove any tracking that is not needed for short-term monitoring of the feature. If the tracking in Grafite is fine to be permanent, then we should close this ticket as invalid.

dmaza renamed this task from Revert work done on T191542 to Remove debug logic when a Cookie is set for IP Blocks.May 29 2018, 7:22 PM
dmaza updated the task description. (Show Details)

Not invalid. Lets keep this and remove statsd tracking once we know everything is good.

Vvjjkkii renamed this task from Remove debug logic when a Cookie is set for IP Blocks to vodaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from vodaaaaaaa to Remove debug logic when a Cookie is set for IP Blocks.Jul 2 2018, 4:31 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
dmaza claimed this task.Apr 17 2019, 2:13 AM
dmaza moved this task from Ready to In Progress on the Anti-Harassment (Heth - ח) board.

Change 505791 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/MobileFrontend@master] Remove block notice tracking

https://gerrit.wikimedia.org/r/505791

Change 505795 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/VisualEditor@master] Remove block notice tracking

https://gerrit.wikimedia.org/r/505795